package com.bocloud.ims.entity.resource.hmc;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

@Deprecated
@Table("hmc_physical_fibre_channel")
public class HmcPhysicalFibreChannel {
    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("partition_id")
    private Long partitionId;
    @Column("name")
    private String name;
    @Column("description")
    private String description;
    @Column("location_code")
    private String locationCode;
    @Column("unique_device_id")
    private String uniqueDeviceId;
    @Column("wwpn")
    private String wwpn;
    @Column("wwnn")
    private String wwnn;
    @Column("available_ports")
    private Integer availablePorts;
    @Column("used_ports")
    private Integer usedPorts = 0;
    @IgnoreAll
    @Column("partition_name")
    private String partitionName;
    @IgnoreAll
    @Column("server_name")
    private String serverName;



    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getPartitionId() {
        return partitionId;
    }

    public void setPartitionId(Long partitionId) {
        this.partitionId = partitionId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * @param description
     *            the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getUniqueDeviceId() {
        return uniqueDeviceId;
    }

    public void setUniqueDeviceId(String uniqueDeviceId) {
        this.uniqueDeviceId = uniqueDeviceId;
    }

    public String getWwpn() {
        return wwpn;
    }

    public void setWwpn(String wwpn) {
        this.wwpn = wwpn;
    }

    public String getWwnn() {
        return wwnn;
    }

    public void setWwnn(String wwnn) {
        this.wwnn = wwnn;
    }

    public Integer getAvailablePorts() {
        return availablePorts;
    }

    public void setAvailablePorts(Integer availablePorts) {
        this.availablePorts = availablePorts;
    }

    public Integer getUsedPorts() {
        return usedPorts;
    }

    public void setUsedPorts(Integer usedPorts) {
        this.usedPorts = usedPorts;
    }

    public String getPartitionName() {
        return partitionName;
    }

    public void setPartitionName(String partitionName) {
        this.partitionName = partitionName;
    }

    public String getServerName() {
        return serverName;
    }

    public void setServerName(String serverName) {
        this.serverName = serverName;
    }
}
